Arbor 3: FSM & BT Graph Editor 3.7.5

Public Member Functions | Static Public Member Functions | List of all members
FlexibleForceMode2D Class Reference

Class to handle a flexible ForceMode2D type reference method there is more than one. More...

Inheritance diagram for FlexibleForceMode2D:

## Public Member Functions
| FlexibleForceMode2D ()
| FlexibleForceMode2D default constructor More...
| FlexibleForceMode2D (ForceMode2D value)
| FlexibleForceMode2D constructor More...
| FlexibleForceMode2D (AnyParameterReference parameter)
| FlexibleForceMode2D constructor More...
| FlexibleForceMode2D (InputSlotAny slot)
| FlexibleForceMode2D constructor More...
Public Member Functions inherited from FlexibleField< ForceMode2D >
override object | GetValueObject ()
| Return the value as object. More...
| FlexibleField ()
| FlexibleField default constructor More...
| FlexibleField (T value)
| FlexibleField constructor More...
| FlexibleField (AnyParameterReference parameter)
| FlexibleField constructor More...
| FlexibleField (InputSlotAny slot)
| FlexibleField constructor More...

## Static Public Member Functions
static | operator ForceMode2D (FlexibleForceMode2D flexible)
| Cast FlexibleForceMode2D to ForceMode2D. More...
static | operator FlexibleForceMode2D (ForceMode2D value)
| Cast ForceMode2D to FlexibleForceMode2D. More...
Static Public Member Functions inherited from FlexibleField< ForceMode2D >
static | operator T (FlexibleField< T > flexible)
| Cast FlexibleField to T. More...
static | operator FlexibleField< T > (T value)
| Cast T to FlexibleField. More...

## Additional Inherited Members
Protected Attributes inherited from FlexibleField< ForceMode2D >
T | _Value
| Constant value More...
AnyParameterReference | _Parameter
| Parameter reference More...
InputSlotAny | _Slot
| Data input slot More...
Properties inherited from FlexibleField< ForceMode2D >
override System.Type | fieldType`[get]`
| It returns a field type. More...
Parameter | parameter`[get]`
| It return a Paramter. More...
T | value`[get]`
| It returns a value More...

## Detailed Description

Class to handle a flexible ForceMode2D type reference method there is more than one.

## Constructor & Destructor Documentation

## ◆ FlexibleForceMode2D() [1/4]

FlexibleForceMode2D | ( |  | ) |

FlexibleForceMode2D default constructor

## ◆ FlexibleForceMode2D() [2/4]

FlexibleForceMode2D | ( | ForceMode2D | value | ) |

FlexibleForceMode2D constructor

Parameters

  value | Value

## ◆ FlexibleForceMode2D() [3/4]

FlexibleForceMode2D | ( | AnyParameterReference | parameter | ) |

FlexibleForceMode2D constructor

Parameters

  parameter | Parameter

## ◆ FlexibleForceMode2D() [4/4]

FlexibleForceMode2D | ( | InputSlotAny | slot | ) |

FlexibleForceMode2D constructor

Parameters

  slot | Slot

## Member Function Documentation

## ◆ operator FlexibleForceMode2D()

static operator FlexibleForceMode2D | ( | ForceMode2D | value | ) |
| explicit static

Cast ForceMode2D to FlexibleForceMode2D.

Parameters

  value | ForceMode2D

## ◆ operator ForceMode2D()

static operator ForceMode2D | ( | FlexibleForceMode2D | flexible | ) |
| explicit static

Cast FlexibleForceMode2D to ForceMode2D.

Parameters

  flexible | FlexibleForceMode2D